Page MenuHomePhabricator

tools/meta/accounteligibility: notice of heavy use till the end of February
Closed, ResolvedPublic

Description

This is again the same as T156845: For Tool Labs admins: Notice of heavy use of tool in the next month. Please be adviced that the account elegibility tool (http://tools.wmflabs.org/meta/accounteligibility/) will get more usage and traffic than usual due to the elections from Feb 8 to Feb 28. The last day of the elections (Feb 28) the ElectCom will need to recheck all accounts again so in adittion to the traffic these days you’ll likely notice a spike of usage that very day. Given that the tool is needed to verify voters, we’d appreciate if you could keep an eye on it and, if possible, increase the number of simultaneous requests the tool can receive, etc. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2018, 9:05 PM
MarcoAurelio renamed this task from tools/meta/accountelegibility: notice of heavy use till the end of February to tools/meta/accounteligibility: notice of heavy use till the end of February.Feb 8 2018, 9:08 PM
MarcoAurelio updated the task description. (Show Details)
revi added a subscriber: revi.Feb 8 2018, 9:10 PM
Chicocvenancio triaged this task as Normal priority.Feb 8 2018, 9:30 PM
Chicocvenancio added a subscriber: Chicocvenancio.

FWIW, the host the webservice is running on seems to be overloaded:

02:48:24 0 ✓ zhuyifei1999@tools-bastion-02: ~$ qstat -u tools.meta -xml | grep queue_name
      <queue_name>webgrid-lighttpd@tools-webgrid-lighttpd-1421.tools.eqiad.wmflabs</queue_name>
[...]
02:48:34 0 ✓ zhuyifei1999@tools-webgrid-lighttpd-1421: ~$ cat /proc/loadavg 
4.10 4.12 4.13 7/673 9263
02:48:48 0 ✓ zhuyifei1999@tools-webgrid-lighttpd-1421: ~$ cat /proc/cpuinfo | grep ^processor | wc -l
4

Mentioned in SAL (#wikimedia-cloud) [2018-02-09T04:56:42Z] <bd808> Rescheduled 30 of the 60 tools running on tools-webgrid-lighttpd-1421 (T186830)

bd808 added a subscriber: bd808.Feb 9 2018, 4:57 AM

The rescheduling magic I used was:

$ qhost -j -h tools-webgrid-lighttpd-1421|awk '{print $1}'|egrep ^[0-9]|head -30|xargs -L1 sudo qmod -rj
bd808 closed this task as Resolved.Mar 11 2018, 12:25 AM
bd808 claimed this task.

February is over.